×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Regular Contributor
    Join Date
    Mar 2003
    Posts
    90

    compile PyS60 error

    I try to recompile pys60 on my computer and got this error

    Code:
    H:\pys60-1.3.1_src\src>subst t: C:\Symbian\8.0a\S60_2nd_FP2
    H:\pys60-1.3.1_src\src>python setup.py configure 26
    Configuring for S60 2nd Ed. FP2 SDK
    Build configuration:
      DEVICE_BUILD='urel'
      DEVICE_PLATFORM='armi'
      EMU_BUILD='udeb'
      EMU_PLATFORM='wins'
      EXTRA_SYSTEMINCLUDE_DIRS=[]
      PYS60_VERSION='1.3.1 development_build_20060508_2011'
      PYS60_VERSION_MAJOR=1
      PYS60_VERSION_MICRO=1
      PYS60_VERSION_MINOR=3
      PYS60_VERSION_SERIAL=0
      PYS60_VERSION_TAG='development_build_20060508_2011'
      S60_REQUIRED_PLATFORM_UID='0x10200BAB'
      S60_VERSION=26
      SDK_MARKETING_VERSION_SHORT='2ndEdFP2'
      SDK_NAME='S60 2nd Ed. FP2 SDK'
      SDK_TAG='26'
      SRC_DIR='H:\\pys60-1.3.1_src\\src'
      WITH_LOCATION_MODULE=1
      WITH_MESSAGING_MODULE=1
    Processing template H:\pys60-1.3.1_src\src\bld.inf.in
    Processing template H:\pys60-1.3.1_src\src\PythonForS60.pkg.in
    Processing template H:\pys60-1.3.1_src\src\app\app.mmp.in
    Processing template H:\pys60-1.3.1_src\src\app\bld.inf.in
    Processing template H:\pys60-1.3.1_src\src\appmgr\appmgr.pkg.in
    Processing template H:\pys60-1.3.1_src\src\appui\appui.mmp.in
    Processing template H:\pys60-1.3.1_src\src\core\core.mmp.in
    Processing template H:\pys60-1.3.1_src\src\core\PythonForSymbianOS.pkg.in
    Processing template H:\pys60-1.3.1_src\src\core\Symbian\sdkversion.h.in
    Processing template H:\pys60-1.3.1_src\src\Doc\html\index.html.in
    Processing template H:\pys60-1.3.1_src\src\Doc\texinputs\boilerplate.tex.in
    Processing template H:\pys60-1.3.1_src\src\Doc\texinputs\copyright.tex.in
    Processing template H:\pys60-1.3.1_src\src\ext\bld.inf.in
    Processing template H:\pys60-1.3.1_src\src\ext\graphics\graphics.mmp.in
    Processing template H:\pys60-1.3.1_src\src\ext\location\location.mmp.in
    Processing template H:\pys60-1.3.1_src\src\ext\messaging\messaging.mmp.in
    Processing template H:\pys60-1.3.1_src\src\ext\socket\e32socket.mmp.in
    Processing template H:\pys60-1.3.1_src\src\ext\sysinfo\sysinfo.mmp.in
    Entering "H:\pys60-1.3.1_src\src\."
    Running "bldmake bldfiles"
     -- WARNING: EPOCROOT does not specify an existing directory
     ** BLDMAKE ERROR: Directory "\Symbian\8.0a\S60_2nd_FP2\EPOC32\" does not exist
    Traceback (most recent call last):
      File "setup.py", line 471, in ?
        getattr(sys.modules['__main__'],funcname)(sys.argv[2:])
      File "setup.py", line 235, in cmd_configure
        run_in('.','bldmake bldfiles')
      File "setup.py", line 185, in run_in
        run_command_and_check_log(cmd,verbose=verbose,ignore_errors=ignore_errors)
      File "setup.py", line 162, in run_command_and_check_log
        scanlog_result=scanlog(out['stdout'])
      File "setup.py", line 145, in scanlog
        analysis=run_shell_command('perl \\epoc32\\tools\\scanlog.pl',log)
      File "setup.py", line 137, in run_shell_command
        raise CommandFailedException, 'Command "%s" failed with code %s'%(cmd,retcod
    e)
    CommandFailedException: Command "perl \epoc32\tools\scanlog.pl" failed with code
     2
    *** BUILD FAILED ***
    Any Info?

  2. #2
    Regular Contributor
    Join Date
    Sep 2003
    Location
    Finland
    Posts
    209

    Re: compile PyS60 error

    Quote Originally Posted by adywicaksono
    Code:
     -- WARNING: EPOCROOT does not specify an existing directory
    Any Info?
    You might try setting the "EPOCROOT" environment variable to "\" (e.g. Control Panel - System - Advanced - Environment Variables).

  3. #3
    Regular Contributor
    Join Date
    Mar 2003
    Posts
    90

    Re: compile PyS60 error

    Quote Originally Posted by otsov
    You might try setting the "EPOCROOT" environment variable to "\" (e.g. Control Panel - System - Advanced - Environment Variables).
    I found the solutions:
    * I must run this build process from the same directory with SYmbian OS SDK (in this example is T

    Thank you

Similar Threads

  1. problem with Code Warrior 5.2
    By mayankkedia in forum Symbian
    Replies: 4
    Last Post: 2006-06-22, 08:26
  2. S80 Platform SDK and Visual Studio .NET Linking Error
    By jayantjain in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2005-10-07, 22:14
  3. code warrior problems
    By mayankkedia in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 2
    Last Post: 2004-10-25, 06:59
  4. problem with codewarrior 5.2
    By mayankkedia in forum Symbian Tools & SDKs
    Replies: 3
    Last Post: 2004-09-27, 16:08
  5. Cannot compile SDK's examples for 7650 platform...
    By midletsoft in forum Symbian Tools & SDKs
    Replies: 2
    Last Post: 2003-08-12, 19:11

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×